/status
Health check endpoint
GET Get service status
GET Get service statusGet the health of the service. Be sure to check the healthy attribute of the response, not just the status code. Caching not recommended.
Code Examples
curl --request GET \
--url https://api.lightcast.io/skills/status \
--header 'accept: application/json' \
--header 'authorization: "Bearer <ACCESS_TOKEN>"Response Examples
{
"data": {
"message": "Service is healthy",
"healthy": true
}
}{
"$schema": "http://json-schema.org/draft-07/schema",
"$id": "responses/status.schema.json",
"type": "object",
"properties": {
"data": {
"title": "Status response object",
"type": "object",
"properties": {
"message": {
"title": "Message describing the health of the service",
"type": "string",
"minLength": 1
},
"healthy": {
"title": "Boolean value to show if the service is healthy",
"type": "boolean"
}
},
"required": [
"message",
"healthy"
],
"additionalProperties": false
}
},
"required": [
"data"
],
"additionalProperties": false
}
